### Name: Plate editing
### Title: Editing the plate properties/all its plots simultaneously
### Aliases: 'Plate editing' plateCex plateCexLab plateCexMain
###   plateAnnotationsRemove platePch plateCol plateBW plateXLim plateYLim
###   plate0YLim plateExpand plateExtract
### Keywords: hplot

### ** Examples

   data<-loadData("sazava.data",sep="\t")
   showSymbols()
   showColours()
   multiplePerPage(which=c("binary(\"K2O/Na2O\",
   \"Rb\",new=FALSE)","DebonPQ","AFM","PeceTaylor","Shand"))
   
   plateCex(0.5)
   
   plateCex(2)
   
   platePch(11)
   
   platePch("+")
   
   plateCol(11)
   
   plateCol("red")
   
   plateBW()
   
   multiple("SiO2",major)
   plateXLim(c(50,70))
   
   groupsByLabel("Intrusion")
   spider(WR,selectNorm("Boynton"),0.1,1000,pch=labels$Symbol,col=labels$Colour)
   figMulti(plot.symb=TRUE)
   plateYLim(c(1,100))
   
   graphicsOff()
   plotDiagram("DebonBA",FALSE,FALSE)
   figMulti()
   plate0YLim()
   
   plateExpand(2)
   
   plateExtract("PearceGranite",2) # Second plot of Pearce et al. (1984), i.e. Y-Nb




