### Name: figAdd
### Title: Plot editing: Add
### Aliases: figTicks figGrid figLegend figAddReservoirs figAdd figAddFit
###   figAddCurve figAddText figAddArrow figAddBox
### Keywords: aplot color iplot

### ** Examples

    binary("Zr/Nb","Ba/La")
    # Sun & McDonough mantle reservoirs, Taylor & McLennan 1995 Upper and Lower Crust
    reserv<-c("MORB|OIB .* McDonough","Upper .* 1995","Lower .* 1995") 
    reserv.names<-c("NMORB","EMORB","OIB","UCC","LCC") 
    figAddReservoirs(TRUE,"reservoirs.data",reserv.condition=reserv,labs=reserv.names)
    figTicks(major=-0.5, minor=0.25,10,1,10,1)
    
    ternary("SiO2/10","MgO","FeOt")
    figAddReservoirs(var.name="idealmins.data",sample.names=c("Or","Bt","Ph")) 
    
    spider(WR,"NMORB..Sun",field=TRUE,colour="gray",field.colour=T,ymin=0.1,ymax=100)
    figAddReservoirs(var.name="reservoirs.data",reserv.condition="Continental Crust",
        autoscale=TRUE,col=c("red","black","darkblue"),pch=1:3) 



