### Name: figOverplot
### Title: Adding data to pre-existing plots
### Aliases: figOverplot
### Keywords: aplot color iplot

### ** Examples

    data(sazava)
    accessVar("sazava")
    
    # Calculate Rayleigh-type fractionation trend
    ff<-seq(1,0.1,-0.1) # F, amount of melt left
    x<-80*ff^(1.2-1)    # cL for three elements, arbitrary D of 1.2, 2.0 and 1.3
    y<-550*ff^(2.0-1)
    z<-1000*ff^(1.3-1)
    my.trend<-cbind(x,y,z)
    colnames(my.trend)<-c("Rb","Sr","Ba")
    rownames(my.trend)<-ff
    
    binary("Rb","Sr",log="xy")
    figOverplot(var.name="my.trend",pch="+",col="blue",autoscale=TRUE,type="o",labs=ff)
    
    ternary("10*Rb","2*Sr","Ba/2")
    figOverplot(var.name="my.trend",pch="+",col="blue",type="o")



